Référence APIPayouts
Process multiple payouts in batch
Approves and triggers payment for an array of payout ids. Useful for monthly settlement runs.
Approves and triggers payment for an array of payout ids. Useful for monthly settlement runs.
Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the merchant dashboard. Sent as Authorization: Bearer <token>. Used by the SDK and any direct server-to-server integration.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.refcampaign.com/api/v1/payouts/batch-process" \ -H "Content-Type: application/json" \ -d '{ "payoutIds": [ "string" ] }'Empty
{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}